For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Processor Run
      • GETGet Processor Run
      • DELDelete Processor Run
      • POSTCancel Processor Run
      • GETList Processor Runs
      • POSTCreate Processor
      • GETList Processors
      • POSTUpdate Processor
      • GETList Processor Versions
      • POSTPublish Processor
      • GETGet Processor Version
      • GETGet Batch Processor Run
  • Webhook Events
LogoLogo
EndpointsLegacy

List Processor Versions

Deprecated
GET
/processors/:id/versions
GET
/processors/:id/versions
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.processorVersion.list("processor_id_here");
1{
2 "success": true,
3 "versions": [
4 {
5 "object": "document_processor_version",
6 "id": "exv_xK9mLPqRtN3vS8wF5hB2cQ",
7 "processorId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
8 "processorType": "EXTRACT",
9 "version": "draft",
10 "config": {
11 "type": "CLASSIFY",
12 "baseProcessor": "classification_performance",
13 "baseVersion": "3.2.0",
14 "classifications": [
15 {
16 "id": "my_unique_id",
17 "type": "invoice",
18 "description": "An invoice is a document that lists the items purchased and the total amount due."
19 }
20 ],
21 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
22 "advancedOptions": {
23 "context": "default",
24 "advancedMultimodalEnabled": false,
25 "fixedPageLimit": 30,
26 "pageRanges": [
27 {
28 "start": 1,
29 "end": 10
30 },
31 {
32 "start": 20,
33 "end": 30
34 }
35 ]
36 },
37 "parser": {
38 "target": "markdown",
39 "chunkingStrategy": {
40 "type": "page",
41 "options": {
42 "minCharacters": 500,
43 "maxCharacters": 10000
44 }
45 },
46 "engine": "parse_performance",
47 "engineVersion": "latest",
48 "blockOptions": {
49 "figures": {
50 "enabled": true,
51 "figureImageClippingEnabled": true,
52 "advancedChartExtractionEnabled": false
53 },
54 "tables": {
55 "enabled": true,
56 "targetFormat": "html",
57 "tableHeaderContinuationEnabled": false,
58 "cellBlocksEnabled": false,
59 "agentic": {
60 "enabled": false,
61 "customInstructions": "string"
62 }
63 },
64 "text": {
65 "signatureDetectionEnabled": false,
66 "agentic": {
67 "enabled": false,
68 "customInstructions": "string"
69 }
70 },
71 "keyValue": {
72 "blankFieldFormattingEnabled": false
73 },
74 "barcodes": {
75 "imageClippingEnabled": false,
76 "readingEnabled": false
77 },
78 "formulas": {
79 "enabled": false
80 }
81 },
82 "advancedOptions": {
83 "pageRotationEnabled": true,
84 "pageRanges": [
85 {
86 "start": 1,
87 "end": 10
88 },
89 {
90 "start": 20,
91 "end": 30
92 }
93 ],
94 "excelParsingMode": "basic",
95 "excelSkipHiddenContent": false,
96 "excelUseRawCellValues": false,
97 "excelSkipCalculation": true,
98 "verticalGroupingThreshold": 1,
99 "returnOcr": {
100 "words": false
101 },
102 "alwaysConvertToPdf": false,
103 "enrichmentFormat": "xml",
104 "imageConversionQuality": "medium",
105 "formattingDetection": [
106 {
107 "type": "change_tracking"
108 }
109 ]
110 }
111 }
112 },
113 "createdAt": "2024-03-21T15:30:00Z",
114 "updatedAt": "2024-03-21T16:45:00Z",
115 "processorName": "Invoice Processor",
116 "description": "Updated extraction fields for new invoice format"
117 }
118 ]
119}
This endpoint allows you to fetch all versions of a given processor, including the current `draft` version. Versions are typically returned in descending order of creation (newest first), but this should be confirmed in the actual implementation. The `draft` version is the latest unpublished version of the processor, which can be published to create a new version. It might not have any changes from the last published version.
Was this page helpful?
Previous

Publish Processor

Next
Built with

This endpoint allows you to fetch all versions of a given processor, including the current draft version.

Versions are typically returned in descending order of creation (newest first), but this should be confirmed in the actual implementation. The draft version is the latest unpublished version of the processor, which can be published to create a new version. It might not have any changes from the last published version.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the processor to retrieve versions for.

Example: "ex_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Response

Successfully retrieved processor versions
successboolean
versionslist of objects
An array of ProcessorVersion objects representing all versions of the specified processor.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error